org.apache.hc.core5.http2.config

## Class H2Config.Builder

- java.lang.Object
- - org.apache.hc.core5.http2.config.H2Config.Builder

- Enclosing class:
    H2Config

      public static class H2Config.Builder
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `H2Config` | `build()`
    `H2Config.Builder` | `setCompressionEnabled(boolean compressionEnabled)`
    `H2Config.Builder` | `setHeaderTableSize(int headerTableSize)`
    `H2Config.Builder` | `setInitialWindowSize(int initialWindowSize)`
    `H2Config.Builder` | `setMaxConcurrentStreams(int maxConcurrentStreams)`
    `H2Config.Builder` | `setMaxContinuations(int maxContinuations)` Sets max limit on number of continuations.
    `H2Config.Builder` | `setMaxFrameSize(int maxFrameSize)`
    `H2Config.Builder` | `setMaxHeaderListSize(int maxHeaderListSize)`
    `H2Config.Builder` | `setPushEnabled(boolean pushEnabled)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setHeaderTableSize

          public H2Config.Builder setHeaderTableSize(int headerTableSize)

    - #### setPushEnabled

          public H2Config.Builder setPushEnabled(boolean pushEnabled)

    - #### setMaxConcurrentStreams

          public H2Config.Builder setMaxConcurrentStreams(int maxConcurrentStreams)

    - #### setInitialWindowSize

          public H2Config.Builder setInitialWindowSize(int initialWindowSize)

    - #### setMaxFrameSize

          public H2Config.Builder setMaxFrameSize(int maxFrameSize)

    - #### setMaxHeaderListSize

          public H2Config.Builder setMaxHeaderListSize(int maxHeaderListSize)

    - #### setCompressionEnabled

          public H2Config.Builder setCompressionEnabled(boolean compressionEnabled)

    - #### setMaxContinuations

          @Internal
          public H2Config.Builder setMaxContinuations(int maxContinuations)

      Sets max limit on number of continuations.

      value zero represents no limit

    - #### build

          public H2Config build()

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.